﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace DateTimePickerSelectableDateStartEnd
{
	/// <summary>
	/// Interaction logic for MainWindow.xaml
	/// </summary>
	public partial class MainWindow : Window
	{
		public MainWindow()
		{
			InitializeComponent();
		}

		private void RadDateTimePicker_ParseDateTimeValue(object sender, Telerik.Windows.Controls.ParseDateTimeEventArgs args)
		{
			if (args.IsParsingSuccessful)
			{
				var dateTimePicker = (Telerik.Windows.Controls.RadDateTimePicker)sender;
				if (args.Result.Value.Date < dateTimePicker.SelectableDateStart)
				{
					args.Result = dateTimePicker.SelectableDateStart;
				}
				if (args.Result.Value.Date > dateTimePicker.SelectableDateEnd)
				{
					args.Result = dateTimePicker.SelectableDateEnd;
				}
				args.Handled = true;
			}
		}
	}
}
